| Name | Type | Required | Description |
|---|---|---|---|
| eventSymbol | string | Yes | - |
| includeAllOutcomes | boolean | No | - |
No request body defined
the unique identifier of the event. Example: "KALSHI.KXBALANCESHEET-EO26".
the exchange that provides the event.
EXCHANGE_UNSPECIFIED,EMULATOR,KALSHI,PMUS,CDNAwhether the event is resolved/inactive or not.
whether trading is halted for all outcomes within the event.
the title of the event. Example: "Size of Fed balance sheet at end of 2026".
the category of the event. Example: "Economics".
the combined volume of all event contracts within this event.
the subcategories/tags related to the event.
the unfiltered number of outcomes within the event.
the outcomes of the event that consists of YES/NO event contracts. Might be filtered.
{
"eventId": "string",
"exchange": "EXCHANGE_UNSPECIFIED",
"resolved": true,
"halted": true,
"title": "string",
"category": "string",
"volume": "string",
"subcategories": [
"string"
],
"cftcContract": {
"contractTermsUrl": "https://example.com/resource",
"prohibitions": [
"string"
],
"resolutionSources": [
{
"name": "string",
"url": "string"
}
]
},
"outcomeCount": 123,
"outcomes": [
{
"outcomeId": "string",
"title": "string",
"rules": "string",
"volume": "string",
"state": "STATE_UNSPECIFIED",
"timeline": {
"openTime": "2023-11-07T05:31:56Z",
"closeTime": "2023-11-07T05:31:56Z",
"expectedExpirationTime": "2023-11-07T05:31:56Z",
"latestExpirationTime": "2023-11-07T05:31:56Z",
"settlementTime": "2023-11-07T05:31:56Z",
"settlementDelaySeconds": 123
},
"settledOutcome": "SETTLED_OUTCOME_UNSPECIFIED",
"trading": "BUY_AND_SELL",
"contracts": [
{
"symbol": "string",
"predictedOutcome": "YES",
"bid": "string",
"ask": "string",
"last": "string",
"openInterest": "string",
"dailyGainValue": "string",
"dailyGainPercentage": "string",
"probability": "string"
}
]
}
]
}